Dit blijkt uit discussies op een forum voor Mozilla-developers en -leidinggevenden waaronder de hoofd engineer van webbrowser Firefox. Er wordt voorgesteld om de minimale Windows-systeemvereisten te verhogen voor de Gecko-engine 1.9.2 en alle Firefox-versies die op die engine draaien. De ondergrens komt dan neer op XP SP3 of hoger.

Mozilla werkt op dit moment aan Gecko 1.9.1 waar Firefox 3.5 op draait. Die versie van de browser is nog in ontwikkeling. Mozilla hoopt 3.5 in het tweede kwartaal van dit jaar uit te brengen. De opvolger van Firefox 3.5 wordt gebouwd op Gecko 1.9.2 en staat gepland voor de eerste helft van 2010. Mozilla noemt die opvolger 'Firefox.next' en heeft het de codenaam 'Namoroka' meegegeven.

Meegaan met Microsoft

Het voorstel van Mozilla is gebaseerd op de plannen van Microsoft om alle ondersteuning voor Windows 2000 en XP SP2 op 13 juli 2010 te schrappen. De softwaregigant heeft de ondersteuning voor Windows XP SP1 al opgegeven. Na juli 2010 is er alleen nog ondersteuning voor XP SP3.

Volgens een ontwikkelaar zou het ondersteuningsbeleid van Mozilla niet in het geding komen. De browsermaker belooft zes maanden ondersteuning voor een versie nadat er een opvolger voor is uitgekomen. Ook voor Firefox 3.5 zou dan gelden dat de browser wordt ondersteund tot nadat Microsoft de ondersteuning voor de besturingssystemen afkapt.

Slecht idee

Mike Beltzner, director van Firefox, vind het verhogen van de Windows-systeemvereisten echter een slecht idee. Hij denkt dat XP-gebruikers ondersteuning van de browser ontzeggen "meer kwaad dan goed doet". Beltzner stuurt de ontwikkeling van Firefox aan, waaronder de gebruikerservaring maar ook het uiteindelijke uitbrengen van de software.

Correctie: Mike Beltzner, niet Mark.